"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CertificateNotFoundError = void 0;
const KeystoreError_1 = require("./KeystoreError");
/**
 *  Error subclass for signaling keystore error when a given public key is not found
 */
class CertificateNotFoundError extends KeystoreError_1.KeystoreError {
    constructor(keyId) {
        super(`certificate not found, key id: ${keyId}`);
        this.keyId = keyId;
        Object.setPrototypeOf(this, CertificateNotFoundError.prototype);
        Error.captureStackTrace(this, this.constructor);
        this.name = this.constructor.name;
    }
}
exports.CertificateNotFoundError = CertificateNotFoundError;
//# sourceMappingURL=CertificateNotFoundError.js.map