"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrivateKeyNotFoundError = void 0;
const KeystoreError_1 = require("./KeystoreError");
/**
 *  Error subclass for signaling keystore error when a given private key is not found
 */
class PrivateKeyNotFoundError extends KeystoreError_1.KeystoreError {
    constructor(keyId) {
        super(`private key not found, key id: ${keyId}`);
        this.keyId = keyId;
        Object.setPrototypeOf(this, PrivateKeyNotFoundError.prototype);
        Error.captureStackTrace(this, this.constructor);
        this.name = this.constructor.name;
    }
}
exports.PrivateKeyNotFoundError = PrivateKeyNotFoundError;
//# sourceMappingURL=PrivateKeyNotFoundError.js.map